Subject: Re: Workload in EPOS
From: Saurabh Dadu <[email-masked]>
To: "Pritish Nandi (LSM)" <[email-masked]>
Cc: Deeksha Dadu <[email-masked]>
Date: Thu, 28 Jul 2022 07:03:13 +0000

Sure call me 3pm

Saurabh Dadu
LiveSalesman
India: +91 120 4332621 x 17
US: 1 240 949 2437
Cell: +91 9810175203
________________________________
From: Pritish Nandi <[email-masked]>
Sent: 28 July 2022 12:16 PM
To: Saurabh Dadu <[email-masked]>
Cc: Deeksha Dadu <[email-masked]>
Subject: Re: Workload in EPOS

Hi Sir,

2 PM will not be possible as I have to pick up my kid from the drop point.

If you are free some other time please advise.

Regards,
Pritish

________________________________
From: "saurabh" <[email-masked]>
To: "Pritish Nandi" <[email-masked]>
Cc: "deeksha" <[email-masked]>
Sent: Thursday, July 28, 2022 11:18:26 AM
Subject: Re: Workload in EPOS

Call me around 2 on teams please

Regards,

Saurabh Dadu
LiveSalesman

On 28-Jul-2022, at 10:39 AM, Pritish Nandi <[email-masked]> wrote:

Hi Sir,

I would just like to bring to you attention that I have huge workload in EPOS. This is affecting me mentaly and also my physical health.

Balancing all the task is hectic and most of the time is not possible. If I focus on something then somehing else is missed. I am not well today and wanted to take rest but cannot do so because I do not have anybody to cover me.

I would request for your help with this.

Currently myn task consists of the following:

RMA approval
Contacts updates
Reviewing tickets with agents and help them
Customer escalations
Client escalations
Training Agents
Reporting
Feedback Sharing
Creating help contents for team
Checking phone lines
Supporting the team on realtime basis
Review chats and calls queue in realtime basis
DSAT audits
Escalating Quality relates issues and website relates issues
Supporting Warranty team on questions and tickets
Handling Warranty escalations from CS
Team Management

Regards,
Pritish Nandi